Bug 196654 - [NEW PORT] devel/onscripter: Visual novel engine compatible with NScripter
Summary: [NEW PORT] devel/onscripter: Visual novel engine compatible with NScripter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on: 196655
Blocks: 197229
  Show dependency treegraph
 
Reported: 2015-01-12 20:06 UTC by Jan Beich
Modified: 2015-02-07 23:57 UTC (History)
0 users

See Also:


Attachments
shar, v0 (3.37 KB, text/plain)
2015-01-12 20:06 UTC, Jan Beich
no flags Details
|poudriere testport -P| log for 10.1R i386 (47.11 KB, text/plain)
2015-01-12 20:13 UTC, Jan Beich
no flags Details
|poudriere testport -P| log for 8.4R amd64 (33.89 KB, text/plain)
2015-01-12 20:20 UTC, Jan Beich
no flags Details
|poudriere testport -P| log for 9.3R i386 (33.12 KB, text/plain)
2015-01-12 20:22 UTC, Jan Beich
no flags Details
shar, v0.1 (3.49 KB, text/plain)
2015-01-13 13:38 UTC, Jan Beich
no flags Details
|poudriere testport -P| log for 10.0R amd64 with OPTIONS inverted (38.83 KB, text/plain)
2015-01-13 13:40 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-01-12 20:06:37 UTC
Created attachment 151478 [details]
shar, v0

$ cat pkg-descr
Open source clone of NScripter, a game engine used to create and
perform visual novels.

WWW: http://onscripter.sourceforge.jp/onscripter.html
Comment 1 Jan Beich freebsd_committer 2015-01-12 20:13:22 UTC
Created attachment 151479 [details]
|poudriere testport -P| log for 10.1R i386
Comment 2 Jan Beich freebsd_committer 2015-01-12 20:20:16 UTC
Created attachment 151480 [details]
|poudriere testport -P| log for 8.4R amd64
Comment 3 Jan Beich freebsd_committer 2015-01-12 20:22:03 UTC
Created attachment 151481 [details]
|poudriere testport -P| log for 9.3R i386
Comment 4 Jan Beich freebsd_committer 2015-01-13 13:38:45 UTC
Created attachment 151558 [details]
shar, v0.1

- make LUA optional
Comment 5 Jan Beich freebsd_committer 2015-01-13 13:40:39 UTC
Created attachment 151559 [details]
|poudriere testport -P| log for 10.0R amd64 with OPTIONS inverted
Comment 6 commit-hook freebsd_committer 2015-02-07 23:54:51 UTC
A commit references this bug:

Author: jbeich
Date: Sat Feb  7 23:54:38 UTC 2015
New revision: 378627
URL: https://svnweb.freebsd.org/changeset/ports/378627

Log:
  Add new port: devel/onscripter and devel/onscripter-1byte

  PR:		196654
  Differential Revision:	https://reviews.freebsd.org/D1800
  Approved by:	bapt (mentor)

  Open source clone of NScripter, a game engine used to create and
  perform visual novels.

  WWW: http://onscripter.sourceforge.jp/onscripter.html

Changes:
  head/devel/Makefile
  head/devel/onscripter/
  head/devel/onscripter/Makefile
  head/devel/onscripter/distinfo
  head/devel/onscripter/files/
  head/devel/onscripter/files/patch-Makefile.Linux
  head/devel/onscripter/pkg-descr
  head/devel/onscripter-1byte/
  head/devel/onscripter-1byte/Makefile
  head/devel/onscripter-1byte/pkg-descr